<%@ page session = "true" %>
<%@ page buffer = "128kb" %>
<%@ page language = "java" %>
<%@ page import = "java.lang.*" %>
<%@ page import = "java.sql.*" %>
<%@ page import = "java.util.*" %>
<%@ page import = "java.text.*" %>
<%@ page import = "oracle.jdbc.driver.*" %>
<%@ page import = "com.electricvine.*" %>
<%@ include file="../includes/config.jsp"%>
<jsp:useBean id="ds" scope="request" class="com.electricvine.DataSource" />
<jsp:useBean id="db" scope="request" class="com.electricvine.Db" />

<%
ds.setDriver(CONNECTION_DRIVER);
ds.setURL(CONNECTION_URL);
ds.setUsername(DATABASE_USER);
ds.setPassword(DATABASE_PASSWORD);
db = new com.electricvine.Db(ds);

String login = (String) request.getSession().getAttribute("login");
String password = (String) request.getSession().getAttribute("password");


java.util.Vector admin = db.getAdmin(login, password);
if (admin == null) response.sendRedirect("login.jsp");    

String action = request.getParameter("action");  
if ( action!=null && action.equals("delete") ) {
    String id = request.getParameter("id");
    int deleteRc = 0;
    deleteRc = db.deleteDealer(id);
}
%>
<%!
    private String errorMessage(String error) //throws IOException
    {
        return "<br><font class='evError' face=arial size=2 color=red>" +
               error + "</font>";
    }

    private String findSearchResults(HttpServletRequest request, com.electricvine.Db db)
    {
        String action  = request.getParameter("action");
        String company = request.getParameter("searchString");
        String rv="";

        if (action                  == null) return "";
        if (action.equals("search") == false) return "";
        if (company==null || company.equals("")) return "<font face=arial size=2 color=red>Please enter a company to search for.</font>";

        java.util.Vector companies = db.searchCompanies(company);

        if (companies == null || companies.size() == 0) {
            return "<font face=arial size=2 color=red>Sorry, no matches were found for '"+company+"'. Please try again</font>";
        }
        
        rv = "<table><tr><td>" +
             "<form name=updateCompany method=post action=updateCompany.jsp>" +
             "    <input type=hidden name=option value=update>" +
             "    <select name=id size=7 onChange=\"setDeletedCompany()\" >";

        String id, name;
        java.util.Hashtable ht = null;
        for ( int i=0; i<companies.size(); i++ ) {
            ht = (java.util.Hashtable) companies.elementAt(i);
            id   = (String) ht.get("id");
            name = (String) ht.get("name") + ": " + 
                   (String) ht.get("street1") + " " +
		   (String) ht.get("street2") + " " + 
		   (String) ht.get("city") + ", " + 
		   (String) ht.get("state") + " "  + 
		   (String) ht.get("zip");
            rv += "   <option value="+ id +">" + name + "</option>";
        }

        rv += "   </select>" +
              " </td>" +
              " <td>" +
              "   <input type=submit value=update>" +
              "</form>" +

              "<form name=deleteCompany method=post>" +
              "    <input type=hidden name=action value=delete>" +
              "    <input type=hidden name=id>" +
              "    <input type=submit value=delete>" +
              "</form>" +
              "</tr></td></table>";

        return rv;
    }
%>
<html>
<head>
  <link REL="STYLESHEET" TYPE="text/css" HREF="/bullseye/includes/CSS/Admin.css">
  <title>Bullseye Dealer Locator</title>
  <!-- Copyright (c) 2001 Electric Vine Interactive L.L.C. -->
  <!-- PROPRIETARY - ELECTRIC VINE INTERACTIVE AND AUTHORIZED CLIENTS -->
  <!-- This document contains proprietary information. Distribution or reproduction outside Electric Vine Interactive and its authorized clients is prohibited. -->
</head>
<body class="evBody" bgcolor="#ffffff" vlink="#ff9900" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">
    
  <script language="javascript" src="/bullseye/includes/validation.js"></script>
  <script>
  <!--
    function setDeletedCompany()
    {
        document.deleteCompany.id.value=document.updateCompany.id.value;
    }
  //-->
  </script>

  <%@ include file="../includes/header.html" %>

  <div style="padding-left: 30px">
      <p>
          <font class="evH3" color=purple face=arial size=5>
              <b>Companies</b>
          </font>
          <br>
          <font face="arial" size="2">
              <a href="updateCompany.jsp?option=add">Add New Company</a>
          </font>
      </p>

      <p>
          <font class="evH5" face="arial" color=purple size="3">
              <b>Find A Company to Update / Delete</b><br>
              <font size="2"><i>Enter the Company Name Below</i></font><br>
            <form name="search" method="post">
              <input type="hidden" name="action" value="search">
              <input type="text" name="searchString" value="<%= (request.getParameter("searchString")==null) ? "" : request.getParameter("searchString") %>" size="40" maxlength="50">
              <input type="Submit" name="SubmitButton" value="Search">
            </form>
          </font>
      </p>

      <%= findSearchResults(request, db) %>
  <div>
</body>
</html>
