<%@ page session = "true" %>
<%@ page buffer = "128kb" %>
<%@ page language = "java" %>
<%@ page import = "java.lang.*" %>
<%@ page import = "java.sql.*" %>
<%@ page import = "java.util.*" %>
<%@ page import = "java.text.*" %>
<%@ page import = "oracle.jdbc.driver.*" %>
<%@ page import = "com.electricvine.*" %>
<%@ include file="includes/config.jsp"%>
<jsp:useBean id="ds" scope="request" class="com.electricvine.DataSource" />
<jsp:useBean id="db" scope="request" class="com.electricvine.Db" />
<jsp:useBean id="app" scope="request" class="com.electricvine.App" />
<jsp:useBean id="zs" scope="request" class="com.electricvine.ZipSearch" />
<jsp:useBean id="utils" scope="request" class="com.electricvine.Utils" />
<%
ds.setDriver(CONNECTION_DRIVER);
ds.setURL(CONNECTION_URL);
ds.setUsername(DATABASE_USER);
ds.setPassword(DATABASE_PASSWORD);
ds.setCompanyIDField("ID");
ds.setCompanyStateField("STATE");
ds.setCompanyTable("tblCompany");
ds.setCompanyZipField("ZIP");
ds.setLogTable("");
ds.setZipCodeTable("zips");

db = new com.electricvine.Db(ds);


app = new com.electricvine.App(ds);
app.setLicenseFilePath(LICENSE_PATH);



String zipCode = null, head = null;
String cache = "", error = "";
String user1name = null, user2name = null, user3name = null, map = null, color = null;
int radius = 0, start = 0, offset = 0, prevStart = 0, nextStart = 0, total = 0;
int submit = 0;


    // Command line parameters    
    zipCode = request.getParameter("zipCode");
    
    submit = 0;
    if (request.getParameter("submit") != null) submit = new Integer(request.getParameter("submit")).intValue();

    radius = 10;
    if (request.getParameter("radius") != null) radius = new Integer(request.getParameter("radius")).intValue();

    start = 0;
    if (request.getParameter("start")  != null) start  = new Integer(request.getParameter("start")).intValue();

    offset = 5;
    if (request.getParameter("offset") != null) offset = new Integer(request.getParameter("offset")).intValue();

    head = "0";
    if (request.getParameter("head")   != null) head   = request.getParameter("head");

    cache = "";
    if (request.getParameter("cache")   != null) cache   = request.getParameter("cache");


    // Admin table
    java.util.Vector vAdmin = db.getFrontEndAdmin();
    java.util.Hashtable ht = null;
    if (vAdmin != null) {
      if (vAdmin.size()>0 ) {
        ht = (java.util.Hashtable) vAdmin.elementAt(0);

        user1name = (String) ht.get("user1name");
        user2name = (String) ht.get("user2name");
        user3name = (String) ht.get("user3name");

        if(((String)ht.get("map")).equals("1")) {
		map = "1";
        }
        else {
                map = "0";
        }

        color     = (String) ht.get("color");
      }
    }

    
    if (user1name == null) user1name = "User 1";
    if (user2name == null) user2name = "User 2";
    if (user3name == null) user3name = "User 3";
    if (map     == null) map     = "0";
    if (color     == null) color     = "Blue";



zs = new com.electricvine.ZipSearch(ds);			
zs.setZipCode(zipCode);
zs.setRadius(radius);
zs.setCity("");
zs.setFilter("");
zs.setNumResults(0);
if ( (offset-start)>=0 ) {
	//zs.setNumResults(offset-start);
}

zs.setOptions(zs.OPT_CACHE);
zs.setOrderBy("");
zs.setPageSize(0);
zs.setPassword("");			
zs.setStartPage(0);
zs.setState("");
zs.setUsername("");

if(cache.equals("")){
	zs.setCachedCompanyIDs(null);	
} else {
	zs.setCachedCompanyIDs(utils.Split(cache,","));
}	


com.electricvine.ZipSearchResults zsr = null;
java.util.Vector results = null;



if ( submit>0 ) {
    if ( zs.Run() ) {
        zsr = zs.getResults();	
        results = zsr.getDataSet();	
        String[] asIDs = zs.getCachedCompanyIDs();
		total = results.size();
        if(asIDs != null) {
        	cache = utils.Join(asIDs,",");	
        }	

    }
    else {
        error = com.electricvine.LastError.getDescription();        
        error = utils.ReplaceString(error, "\n", "<br>");
    }
}

app.finish();
db.finish();
zs.finish();


%>
<%!
    private String mapLink(String street1, String city, String state, String zip)
    {
      return
        "<form action='http://maps.yahoo.com/py/maps.py' method=get>" +
            "<input type=hidden name=addr  value=\"" + street1 + "\">" +
            "<input type=hidden name=city  value=\"" + city    + "\">" +
            "<input type=hidden name=state value=\"" + state   + "\">" +
            "<input type=hidden name=zip   value=\"" + zip     + "\">" +
            "<input type=image src=\"images/mapit.gif\" width=91 height=50 border=0>" +
        "</form>";
    }

    private String navBar(String zipCode, int radius, int start, int offset, int total, String color, String head, String cache)
    {
        if (total == 0) return "";
        
        int end = start + offset;
        if (end > total) end = total;
        
        int prevStart=-1;
        if      (start > offset) prevStart = start-offset;
        else if (start > 0)      prevStart = 0;
        
        int nextStart=-1;
        if (start + offset < total) nextStart = start+offset;

        String recordsInfo = "Records " + (start+1) + "-" + end  + " of " + total;

        String rv = 
        "<table border=0 width=560 height=29 cellpadding=0 cellspacing=0 bgcolor=" + color + ">" +
        "    <tr>" +
        "        <td width=55 align=center>";
        
        if (prevStart != -1) {
            rv += "      <a href=\"" + getUrl(prevStart, zipCode, radius, offset, head, cache) + "\">" +
                  "          <img src=\"images/pprev5.gif\" width=54 height=29 border=0>" +
                  "      </a>";
        }
        else {
            rv += "&nbsp;";
        }
            rv +=
            "    </td>" +

            "    <td width=55 align=center>&nbsp;</td>" +

            "    <td width=450 valign=center>" +
            "        <font face=arial size=2 color=white>" +
            "            <B>" + recordsInfo + "</B>" +
            "        </font>" +
            "    </td>" +

            "    <td width=55 align=center>";
        
        if (nextStart != -1) {
        rv +=
            "        <a href=\"" + getUrl(nextStart, zipCode, radius, offset, head, cache) + "\">" +
            "            <img src=\"images/pnext5.gif\" width=54 height=29 border=0>" +
            "        </a>";
        }
        else {
        rv +=
            "            &nbsp;";
        }
        
        rv +=
        "        </td>" +
        "    </tr>" +
        "</table>";
        
        return rv;
    }

    private String getUrl(int start, String zipCode, int radius, int offset, String head, String cache)
    {
        return "search.jsp?submit=1&start="+start+ "&zipCode="+zipCode + "&radius="+radius +
               "&offset="+offset + "&head="+head+"&cache="+cache;
    }

    private String formatDistance (String distance)
    {
    	Double dDist = Double.valueOf(distance);
        if   (dDist.doubleValue() == 0) {
            return "Same Town/City";
        }
        else {
        	
            return "Approx. " + dDist.intValue() +  " Miles";
        }
    }
    
    private String formatResult(String key, String value)
    {
        return formatResult(key, value, value);
    }
    
    private String formatResult(String key, String condition, String value)
    {
        if (condition != null && !condition.equals("")) {
            if (key   == null)  key = "&nbsp";
            if (key.equals("")) key = "&nbsp";
            
            if (value == null)    value = condition;
            if (value == null)    value = "&nbsp";
            if (value.equals("")) value = "&nbsp";
            
            return "<tr><td>" +
                   "        <font face=arial size=2>" + key + "</font>" +
                   "    </td>" +
                   "    <td>" +
                   "        <font face=arial size=2>" + value + "</font>" +
                   "    </td>" +
                   "</tr>";
        }
        else {
            return "";
        }
    }
    
%>
<html>
<head>
  <link REL="STYLESHEET" TYPE="text/css" HREF="includes/CSS/Admin.css">
  <title>Bullseye Dealer Locator</title>
  <!-- Copyright (c) 2001 Electric Vine Interactive L.L.C. -->
  <!-- PROPRIETARY - ELECTRIC VINE INTERACTIVE AND AUTHORIZED CLIENTS -->
  <!-- This document contains proprietary information. Distribution or reproduction outside Electric Vine Interactive and its authorized clients is prohibited. -->
</head>
<script language=JavaScript>
<!--
    function ValidateData() {
        if (document.search.zipCode.value == "") {
            window.alert("Please enter a zip code.");
            return false;
        }

        return true;
    }
//-->
</script>
<body class="evBody" bgcolor="#ffffff" vlink="#ff9900" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0">

<% if (head.equals("1")) { %>
  <jsp:include page="includes/header.html" flush="true"/>
<% } else { %>
	<p align=right>
	<img src=images/dlpro1.gif></p>
	<p>
<% } %>

    <div align="center">
        <%
        if (total != 0) {
        %>	
          <font face=arial color="<%= color %>" size=4><b>Search Results:</b><font>
	  <p>
        <%
        } else if (!error.equals("")) {
        %>
          
          <table><tr><td>
          	<font face=arial size=2 color=red><b>
          		<%=error%>
			</b></font>
          </td></tr></table>
          <p />          		
        <%
        } else if (zipCode != null) {
        %>        	
          <font face=arial size=2 color=red><b>
          There were no results within the selected radius.
          </b></font><p />
        <%
        }
        %>

    <%= navBar(zipCode, radius, start, offset, total, color, head, cache) %>

    <%
        String name = "";
	String street1 = "", street2 = "", city = "", state = "", zip = "";
	String phone = "", fax = "", email = "", url = "";
	String user1 = "", user2 = "", user3 = "", distance = "";        
        String resultData = "";
        java.util.Hashtable row;


        resultData = "<table border=0 width=560 cellpadding=0 cellspacing=0 align=center>";
        for (int i=0; (i < offset) && (start+i < total); i++) {

            row     = (java.util.Hashtable) results.elementAt(i + start);

            name    = (String)row.get("name");
            street1 = (String)row.get("street1");
            street2 = (String)row.get("street2");
            city    = (String)row.get("city");
            state   = (String)row.get("state");
            zip     = (String)row.get("zip");
            phone   = (String)row.get("phone");
            fax     = (String)row.get("fax");
            email   = (String)row.get("email");
            url     = (String)row.get("url");
            user1   = (String)row.get("user1");
            user2   = (String)row.get("user2");
            user3   = (String)row.get("user3");
            distance = (String)(row.get("distance")).toString();
            
            //Make sure distance is readable
            distance = formatDistance(distance);
            
            

            String mapField = "";
            if ( map.equals("1") ) {
                mapField = "<td rowspan=4>" + mapLink(street1, city, state, zip) + "</td>";
            }
            
            resultData += "<tr><td>" +
                          "        <font face=arial size=2><b>Company</b></font>" +
                          "    </td>" +
                          "    <td>" +
                          "        <font face=arial size=2><b>" + name + "</b></font>" +
                          "    </td>" +
                               mapField+
                          "</tr>"+            //formatResult("<b>Company</b>", "<b>"+name+"</b>") +
                          
                          formatResult("Address", street1) +
                          formatResult("&nbsp;",  street1, street2) +
                          formatResult("City",    city + ", " + state + " " + zip) +
                          formatResult("Phone",   phone) +
                          formatResult("Fax",     fax) +
                          formatResult("Email",   email, "<a href=\"mailto:"+email+"\">"+email+"</a>") +
                          formatResult("URL",     url, "<a href=\""+url+"\">"+url+"</a>") +
                          formatResult(user1name, user1) +
                          formatResult(user2name, user2) +
                          formatResult(user3name, user3) +
                          formatResult("Distance", distance) +
                          "<tr><td>&nbsp;</td></tr>" +
                          "<tr><td> </td></tr>" +
                          "<tr><td> </td></tr>";


        }
        
        
        resultData += "</table>";
    %>

    <%= resultData %>

    <%= navBar(zipCode, radius, start, offset, total, color, head, cache) %>

    <form name=search onSubmit="return ValidateData()" method="get" action="search.jsp">
        <input type="hidden" name="head" value="<%= head %>" />
        <table border="0" width="560" cellpadding="3" cellspacing="0"]
            <tr>
                <td bgcolor="<%= color%>" colspan="5"><b><font face="arial" size="2" color="#FFFFFF">Perform A New Search</font></b></td>
            </tr>
            <tr align=center>
                <td>
                    <font face="arial" size="2">Zip Code
                        <input type="text" name="zipCode" size="5" maxlength="5" value="<%=zipCode == null ? "" : zipCode%>"/>
                    </font>
                </td>
                <td !align="right"><font face="arial" size="2">Search Within a 
                    <select name="radius">
                        <option <%=(radius == 5 ? "selected " : "")%>value=5>5
                        <option <%=(radius == 10 ? "selected " : "")%>value=10>10
                        <option <%=(radius == 20 ? "selected " : "")%>value=20>20
                        <option <%=(radius == 30 ? "selected " : "")%>value=30>30
                        <option <%=(radius == 50 ? "selected " : "")%>value=50>50
                        <option <%=(radius == 100 ? "selected " : "")%>value=100>100
                    </select>
                    Mile Radius.</font>
                </td>
                <td align="right" width="1">
 		    <input type="submit" value="Search">
 		    <input type="hidden" name="submit" value="1">
 		</td>
            </tr>
        </table>
    </form>

    </div> 

</body>
</html>

